Skip to main content
`Ctrl`+`K`

# DMForestSetTopology

Set the topology of a `DMFOREST` during the pre-setup phase. The topology is a string (e.g. “cube”, “shell”) and can be interpreted by subtypes of `DMFOREST`) to construct the base DM of a forest during `DMSetUp()`.

## Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestSetTopology(DM dm, DMForestTopology topology)

Logically collectiv

## Input Parameters

- dm - the forest

- topology - the topology of the forest

## See Also

`DM`, `DMFOREST`, `DMForestGetTopology()`, `DMForestSetBaseDM()`

## Level

intermediate

## Location

src/dm/impls/forest/forest.c

Index of all DMForest routines
Table of Contents for all manual pages
Index of all manual pages